/*
 * Tigase Jabber/XMPP Server
 * Copyright (C) 2004-2008 "Artur Hefczyc" <artur.hefczyc@tigase.org>
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3 of the License.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. Look for COPYING file in the top folder.
 * If not, see http://www.gnu.org/licenses/.
 * 
 * $Rev: 456 $
 * Last modified by $Author: kobit $
 * $Date: 2009-11-06 14:29:46 +0100 (Fri, 06 Nov 2009) $
 */

package tigase.xml;

/**
 * Created: Feb 9, 2009 12:21:23 PM
 *
 * @param <T>
 * @author <a href="mailto:artur.hefczyc@tigase.org">Artur Hefczyc</a>
 * @version $Rev: 456 $
 */
public interface XMLNodeIfc<T extends XMLNodeIfc>
				extends Comparable<T>, Cloneable {

	T clone();

	String toStringSecure();

}
